public class Main {
    public static void main(String[] args) {
        Vektor x = new Vektor("Kasper", 123456789);
        Rektor y = new Rektor("Jesper", 3.14);
        Lektor z = new Lektor("Jonathan");
        Person[] a = { x, y, z };
        printArray(a);
    }

    public static void printArray(Object[] a) {
        for (int i = 0; i < a.length; i++) {
            System.out.println(i + " " + a[i]);
        }
    }
}


public class Person {
    private String navn;
    public Person(String navn) {
        this.navn = navn;
    }

    public String toString() {
        return this.navn;
    }
}

public class Vektor extends Person {
    private int id;
    public Vektor(String navn, int id) {
        super(navn);
        this.id = id;
    }
    public String toString() {
        return "Vektor:" + super.toString() + ";" + this.id;
    }
}

public class Rektor extends Person {
    private double id;
    public Rektor(String navn, double id) {
        super(navn);
        this.id = id;
    }
    public String toString() {
        return "Rektor:" + super.toString() + ";" + this.id;
    }
}

public class Lektor extends Person {
    public Lektor(String navn) {
        super(navn);
    }
    public String toString() {
        return "Lektor:" + super.toString();
    }
}
